# wxGCDC Class Reference
[Device Contexts]

`#include </home/work/projects/wx/2.9/wx/interface/wx/dcgraph.h>`

Inheritance diagram for wxGCDC:
[legend]

## Detailed Description

wxGCDC is a device context that draws on a wxGraphicsContext.

##

Library: wxCore
Category: Device Contexts

See also:
  wxDC, wxGraphicsContext

## Public Member Functions

| wxGCDC (const wxWindowDC &dc)
| Constructs a wxGCDC from a wxWindowDC.
| wxGCDC (const wxMemoryDC &dc)
| Constructs a wxGCDC from a wxMemoryDC.
| wxGCDC (const wxPrinterDC &dc)
| Constructs a wxGCDC from a wxPrinterDC.
wxGraphicsContext * | GetGraphicsContext ()
| Retrieves associated wxGraphicsContext.

List of all members.

## Constructor & Destructor Documentation

wxGCDC::wxGCDC | ( | const wxWindowDC & | dc | ) |

Constructs a wxGCDC from a wxWindowDC.

wxGCDC::wxGCDC | ( | const wxMemoryDC & | dc | ) |

Constructs a wxGCDC from a wxMemoryDC.

wxGCDC::wxGCDC | ( | const wxPrinterDC & | dc | ) |

Constructs a wxGCDC from a wxPrinterDC.

## Member Function Documentation

wxGraphicsContext* wxGCDC::GetGraphicsContext | ( |  | ) |

Retrieves associated wxGraphicsContext.

|  | [ top ]